[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ByteToCharIndex

Convert a character index in Bytes to an Index in characters

## Declaration

Source position: sysstrh.inc line 231

`function ByteToCharIndex(`
`const S: string;`
`Index: Integer`
`):Integer;`

## Description

ByteToCharIndex returns the index (in characters) of the Index-th byte in S.

## Errors

This function does not take into account MBCS yet.

## See also

CharToByteLen |  | Convert a length in characters to a length in bytes.
ByteToCharLen |  | Convert a length in bytes to a length in characters.

Documentation generated on: Feb 26 2014